DEV_STOP = false;

[] spawn {
    private _fn_SetupA = {
        params ["_units", "_centerPos"];

        private _spacing = 10;

        for "_i" from 0 to (count _units - 1) do {
            private _unit = _units select _i;
            private _pos = [(_centerPos select 0) + (_i * _spacing), _centerPos select 1, 0];
            _unit setPos _pos;
        };
    };

    private _fn_SetupB = {
        params ["_units", "_centerPos"];

        private _spacing = 10;

        for "_i" from 0 to (count _units - 1) do {
            private _unit = _units select _i;
            private _pos = [_centerPos select 0, (_centerPos select 1) + (_i * _spacing), 0];
            _unit setPos _pos;
        };
    };

    private _centerPos = getMarkerPos "spawnpos";
    private _units = allUnits - [player];

    private _flip = false;
    while {!DEV_STOP} do {
        if (_flip) then {
            [_units, _centerPos] call _fn_SetupA;
            _flip = !_flip;
        } else {
            [_units, _centerPos] call _fn_SetupB;
            _flip = !_flip;
        };
        sleep 2;
    }
};